%global prerel_tag rc9

%global provider github
%global provider_tld com
%global project opencontainers
%global repo runc
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Name:           %{project}-%{repo}
Epoch:          1
Version:        1.0.0
Release:        %mkrel %{?prerel_tag:0.%{prerel_tag}.}3
Summary:        runc container cli tools
License:        ASL 2.0
Group:          System/Configuration

URL:            https://www.opencontainers.org/
Source0:        https://%{import_path}/archive/v%{version}%{?prerel_tag:-%{prerel_tag}}/%{repo}-%{version}%{?prerel_tag:-%{prerel_tag}}.tar.gz

# Allow runc and podman to work with sd_notify
# From: https://github.com/opencontainers/runc/pull/1807
Patch0101:      opencontainers-runc-PR1807.patch

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.6 or above
BuildRequires:  golang >= 1.6

%description
runc is a CLI tool for spawning and running containers according to the OCI specification.


%prep
%autosetup -n %{repo}-%{version}%{?prerel_tag:-%{prerel_tag}} -p1

%build
export GOPATH=$(pwd)/Godeps/_workspace:%{gopath}
# for rc3 use this build sequence:
ln -sf $(pwd)/vendor $(pwd)/src
mkdir -p $(pwd)/vendor/github.com/opencontainers/runc
cp -a libcontainer $(pwd)/vendor/github.com/opencontainers/runc
export GOPATH=$(pwd):%{gopath}
make BUILDTAGS=""

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 runc %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%doc CONTRIBUTING.md MAINTAINERS* PRINCIPLES.md README.md
%license LICENSE NOTICE
%{_bindir}/*


%changelog
* Mon Jan 20 2020 bcornec <bcornec> 1:1.0.0-0.rc9.3.mga7
+ Revision: 1481641
- Fix mga#25806 by updating to upstream opencontainers-runc 1.0rc9

* Tue Feb 12 2019 luigiwalser <luigiwalser> 1:1.0.0-0.rc6.3.mga7
+ Revision: 1365382
- add upstream patch to fix CVE-2019-5736

* Sat Feb 02 2019 luigiwalser <luigiwalser> 1:1.0.0-0.rc6.2.mga7
+ Revision: 1362659
- add upstream pull request 1962 to fix security issue (mga#25253, rhbz#1663068)

* Sun Jan 20 2019 ngompa <ngompa> 1:1.0.0-0.rc6.1.mga7
+ Revision: 1358469
- Upgrade to runc-1.0.0-rc6
- Add Epoch to fix broken version scheme
- Add patch from Fedora to allow sd_notify to work with runc and podman

* Tue Oct 16 2018 bcornec <bcornec> 1.0.0rc5-3.mga7
+ Revision: 1320896
- SILIENT: update sha1
- update to upstream 1.0.0rc5 opencontainers-runc

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0rc2-3.mga7
+ Revision: 1299988
- Mageia 7 Mass Rebuild

* Sun May 28 2017 akien <akien> 1.0.0rc2-2.mga6
+ Revision: 1105408
- Rebuild against fixed golang
+ bcornec <bcornec>
- Go back to rc2 build procedure for opencontainers-runc
- go back to rc2 of opencontainers-runc as rc3 doesn't work with docker 17.03
- update to upstream 1.0.0rc3

* Thu Nov 24 2016 bcornec <bcornec> 1.0.0rc2-1.mga6
+ Revision: 1069706
- update to upstream 1.0.0rc2

* Sat Sep 24 2016 bcornec <bcornec> 1.0.0rc1-1.mga6
+ Revision: 1055669
- Update to upstream 1.0.rc1 needed by docker 0.12.1

* Mon May 23 2016 bcornec <bcornec> 0.1.1-2.mga6
+ Revision: 1018001
- remove restriction on arch

* Sun May 22 2016 bcornec <bcornec> 0.1.1-1.mga6
+ Revision: 1017692
- Create an opencontainers-runc package needed by docker >= 1.11
- Created package structure for opencontainers-runc.

